<?php require('login.php');
require('../kernel/db.class.php');
include('include/menu.inc.php');

function agregaEnlace(){
	global $CONFIG;
	$url= trim($_POST['url']);
	$text = trim($_POST['text']);
	if(empty($url) or empty($text))return '<span class="error">No se Colocó ningún valor para el texto o la dirección del enlace</span>';
	$BD  = new dbLink($CONFIG['server'], $CONFIG['user'], $CONFIG['keypass']);
	$BD -> nameDB = $CONFIG['dbname'];
	if($BD->error)return '<span class="error">Error en la base de datos</span>';
	if($BD->add($url, $text))return '<span class="ok">Enlaces Actulizado</span>'.listarEnlaces();
	if($BD->error == 999)return  '<span class="error">El enlace ya existe</span>';
	return '<span class="error">Error en la base de datos</span>';										
}
function listarEnlaces(){
	global $CONFIG;
	$BD  = new dbLink($CONFIG['server'], $CONFIG['user'], $CONFIG['keypass']);
	$BD -> nameDB = $CONFIG['dbname'];
	if($BD->error)return '<span class="error">No se pudieron listar los Enlaces (0005)</span>';
	$Links = $BD->toindex();
	if(!$Links)return '<span class="error">No se pudieron listar los Enlaces (0008)</span>' . $BD->sError;
	$Temp =  '<table class="index"><tr><th>Texto</th><th>URL</th><th>Editar</th><th>Eliminar</th></tr>';
	foreach($Links as $valor){
		$Temp .= '<tr><td>' . $valor["href"] . '</td><td>' . $valor['text'] . '</td>';
		$Temp .= '<td><a href="postlinks.php?edit=' . $valor['id'] . '"><img src="images/edit.png" alt="Editar"/></a></td>';
		$Temp .= '<td><a href="postlinks.php?delete=' . $valor['id'] . '"><img src="images/eliminate.png" alt="Eliminar"/></a></td></tr>';
	}
   	$Temp .= '</table>';
   	return $Temp;
}

function editarEnlace(){
	global $CONFIG;
	$BD  = new dbLink($CONFIG['server'], $CONFIG['user'], $CONFIG['keypass']);
	$BD -> nameDB = $CONFIG['dbname'];
	if($BD->error)return '<span class="error">Error en la base de datos</span>';
	$Link=$BD->getById($_GET['edit']);
	if(!$Link)return '<span class="error">Enlace no Enconrado en la Base de Datos</span>';
	return	'<form action="" method="post"><p><label for="text">Texto del Enlace:</label>'.
	'<input type="text" name="text" id="text" value="'. $Link['text']. '" maxlength="50"/></p>'.
	'<p><label for="url">URL:</label>'.
	'<input type="text" name="url" id="url" value="' . $Link['href']. '" maxlength="255"/></p>'.
	'<p class="submit">'.
	'<input type="submit" name="submit" id="submit" value="Guardar &raquo;" />'.
	'<input type="hidden" name="action" value="edit" />'.
	'<input type="hidden" name="id" value="' .$Link['id']. '" /></p></form>'.
	'<form action="postlinks.php" method="post">'.
	'<p class="submit"><input type="submit" name="submit" value="Listar Enlaces&raquo;" />'.
	'<input type="hidden" name="action" value="list" /></p></form>';
}
function editado(){
	global $CONFIG;
	$BD  = new dbLink($CONFIG['server'], $CONFIG['user'], $CONFIG['keypass']);
	$BD -> nameDB = $CONFIG['dbname'];
	if($BD->error)return '<span class="error">Error en la base de datos</span>';
	$result = $BD->edit($_POST['id'], $_POST['text'], $_POST['url']);
	if($result){return '<span class="ok">Enlace editado con Exito</span>'.toindex();}
	return '<span class="error">Error al intentar editar</span>'. $BD->sError;		
}
function borrarEnlace(){
	global $CONFIG;
	$BD  = new dbLink($CONFIG['server'], $CONFIG['user'], $CONFIG['keypass']);
	$BD -> nameDB = $CONFIG['dbname'];
	if($BD->error)return '<span class="error">Error en la base de datos</span>';
	$Link=$BD->getById($_GET['delete']);
	if(!$Link)return '<span class="error">Link no Encontrado</span>';
	return '<form action="" method="post">'.
	'<p>¿Esta seguro que desea Borrar el enlace a <strong>' . $Link['href']. '</strong>?</p>'.
	'<p class="submit">'.
	'<input type="submit" name="submit" id="submit" value="Si &raquo;" />'.
	'<input type="hidden" name="action" value="delete" /><input type="hidden" name="id" value="' .$_GET['delete']. '" />'.
	'</p></form>';
}
function  borrado(){
	global $CONFIG;
	$BD  = new dbLink($CONFIG['server'], $CONFIG['user'], $CONFIG['keypass']);
	$BD -> nameDB = $CONFIG['dbname'];
	if($BD->error)return '<span class="error">Error en la base de datos</span>';
	$R	= $BD->delete($_POST['id']);
	if($R)return '<span class="ok">Enlace borrado con Exito</span>'.listarEnlaces();
	return '<span class="error">Error al intentar Borrar</span>' . $BD->sError;	
}

if(isset($_POST['action'])){
	if($_POST['action']=='add')$Main = agregaEnlace();
	elseif($_POST['action'] == 'list')$Main =	listarEnlaces();	
	elseif($_POST['action'] == 'edit') $Main =	editado();
	elseif($_POST['action'] == 'delete')$Main =	borrado();
}elseif(isset($_GET['edit']) and  is_numeric($_GET['edit'])){$Main = editarEnlace();
}elseif(isset($_GET['delete']) and is_numeric($_GET['delete'])){$Main = borrarEnlace();}

try{
	$Vars['MENU'] = addMenu(basename($_SERVER['PHP_SELF']));
	$Vars['MAIN'] = $Main;
	$Vars['STYLE'] = Common::absURL('css/admin.css');
	$Vars['TITLE'] = $CONFIG['title'];
	$Vars['T_TITLE'] = 'Enlaces';
	$Vars['URL_RSS'] = Common::absURL('rss.php');
	$Template = new ABTemplate('../template/procesado.txhtml', $Vars);
	echo $Template->parse();
}catch(Exception $e){
	echo $e->getMessage();
}

?>

